import request from '@/utils/request'

// 查询视频好友关注列表
export function listLzydVideoAttention(query) {
  return request({
    url: '/system/LzydVideoAttention/list',
    method: 'get',
    params: query
  })
}

// 查询视频好友关注详细
export function getLzydVideoAttention(id) {
  return request({
    url: '/system/LzydVideoAttention/' + id,
    method: 'get'
  })
}

// 新增视频好友关注
export function addLzydVideoAttention(data) {
  return request({
    url: '/system/LzydVideoAttention',
    method: 'post',
    data: data
  })
}

// 修改视频好友关注
export function updateLzydVideoAttention(data) {
  return request({
    url: '/system/LzydVideoAttention',
    method: 'put',
    data: data
  })
}

// 删除视频好友关注
export function delLzydVideoAttention(id) {
  return request({
    url: '/system/LzydVideoAttention/' + id,
    method: 'delete'
  })
}

// 导出视频好友关注
export function exportLzydVideoAttention(query) {
  return request({
    url: '/system/LzydVideoAttention/export',
    method: 'get',
    params: query
  })
}